Bug 732721 - RFE - Add reports and access to user log and auditing log
Summary: RFE - Add reports and access to user log and auditing log
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-reports
Version: unspecified
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Yaniv Lavi
QA Contact:
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 11:40 UTC by David Botzer
Modified: 2014-01-14 00:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-30 22:50:59 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description David Botzer 2011-08-23 11:40:43 UTC
Description of problem:
Allow Users log auditing, only for administrator.
The log file should be with root permissions, and allow only admin to r/w/x

Version-Release number of selected component (if applicable):
IC137, rhevm-reports 3.0.0-9

How reproducible:
Always

Steps to Reproduce:
1.Log any login/logout traffic of users
2.Log under each user: date, report being used

Actual results:
RFE

Expected results:
1. Allow Users Audit Log file that will include:
    Date ; Username1 Login
            Date ; Username1; Report BR4
            Date ; Username1; Report BR8
            Date ; Username1; Report BR15
    Date ; Username2 Login
            Date ; Username2; Report BR4
    Date ; Username1 Logout 

2. Allow report/Ad Hoc to display the audit log

Additional info:

Comment 1 Itamar Heim 2013-01-30 22:50:59 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.